Jump to content


Photo

BFME 2 problem


  • Please log in to reply
29 replies to this topic

#1 Kryddan

Kryddan
  • Members
  • 14 posts

Posted 08 December 2014 - 11:01 PM

Hello me and my friends want to play togheter but it wont work.
everytime we try to join each others game it says that we are running a diff version, why pls help?


Btw everytime i open the game the version numbers switch in the settings tab?

Edited by Kryddan, 08 December 2014 - 11:13 PM.


#2 ICT

ICT

    -

  • Veterans
  • 3,072 posts
  •  -- MOC --
  • Division:BFME
  • Job:Online Admin

Posted 08 December 2014 - 11:55 PM

Hi and welcome!

 

You have to have the same patch installed as the person that is hosting the room.

For BFME 2 there are mainly 3 patches that are played nowadays: 1.00, 1.06, 1.08.

 

You could install all official patches up until patch 1.06 and then use the patchswitcher from http://forshire.blog...-installer.html

 

~ICT


"To know what question we may reasonably propose is in itself a strong evidence of sagacity or intelligence. For if a question be in itself incongruous and begs for uncalled-for answers, it holds, sometimes, besides embarrassing the proposer, the disadvantage to seduce the unguarded listener into giving absurd answers, and we are presented with the ridiculous spectacle of one (as the ancients said) milking the he-goat, and the other holding a sieve beneath."


#3 Kryddan

Kryddan
  • Members
  • 14 posts

Posted 09 December 2014 - 07:13 AM

Thanks for youre reply but the problem is that we both got patch 1.06 but in the settings tab the version number changes or does it even matter?

btw if i change patch my game crashes

Edited by Kryddan, 09 December 2014 - 07:31 AM.


#4 ICT

ICT

    -

  • Veterans
  • 3,072 posts
  •  -- MOC --
  • Division:BFME
  • Job:Online Admin

Posted 09 December 2014 - 10:33 AM

What do you mean by the version number changes? Can you post screenshots?

Maybe one of you has a faulty installation or not properly patched to 1.06.

"To know what question we may reasonably propose is in itself a strong evidence of sagacity or intelligence. For if a question be in itself incongruous and begs for uncalled-for answers, it holds, sometimes, besides embarrassing the proposer, the disadvantage to seduce the unguarded listener into giving absurd answers, and we are presented with the ridiculous spectacle of one (as the ancients said) milking the he-goat, and the other holding a sieve beneath."


#5 Kryddan

Kryddan
  • Members
  • 14 posts

Posted 09 December 2014 - 04:16 PM

I cant but you know when you open the game you get some tabs you can open

tutorials
solo play
multiplayer
options
my heroes
quit

okey, so i open options then settings and down to the right corner it says:Version [then some numbers that changes every time i open up the game]

#6 Kwen

Kwen

    Vileartist

  • T3A Staff
  • 4,837 posts
  • Location:Korea I wish
  • Projects:It'sa secreeet
  •  T3A's First N00b
  • Division:BFME
  • Job:T3A Expert
  • Donated

Posted 09 December 2014 - 07:28 PM

When you launch the game, do you see the updated loading screen that displays the 1.06 patch?

                           https://www.twitch.tv/vileartist - Yes shameless self-promotion

          ----------------------------------------------------------------------------------------------------------------------

                            "Old modders never die, they just fade away" ~ Hostile


#7 Kryddan

Kryddan
  • Members
  • 14 posts

Posted 09 December 2014 - 09:02 PM

Nope nothing displays patch 1.06  :/

 

 

 

 

Though when i patched it said patching 1.06


Edited by Kryddan, 09 December 2014 - 09:05 PM.


#8 Kwen

Kwen

    Vileartist

  • T3A Staff
  • 4,837 posts
  • Location:Korea I wish
  • Projects:It'sa secreeet
  •  T3A's First N00b
  • Division:BFME
  • Job:T3A Expert
  • Donated

Posted 09 December 2014 - 10:51 PM

It would be very obvious when the 1.06 patch is installed correctly. Could you please take a screenshot of your Maine BFME install directory? (The folder with game.dat, INI.big, Ect..)

                           https://www.twitch.tv/vileartist - Yes shameless self-promotion

          ----------------------------------------------------------------------------------------------------------------------

                            "Old modders never die, they just fade away" ~ Hostile


#9 Mathijs

Mathijs

    Post-modern Shaman

  • Network Leaders
  • 13,687 posts
  • Projects:Age of the Ring
  • Division:Revora
  • Job:Leader

Posted 09 December 2014 - 10:53 PM

Kwen I think you're mistaking this for a BFME1 issue. :p


No fuel left for the pilgrims


#10 Kwen

Kwen

    Vileartist

  • T3A Staff
  • 4,837 posts
  • Location:Korea I wish
  • Projects:It'sa secreeet
  •  T3A's First N00b
  • Division:BFME
  • Job:T3A Expert
  • Donated

Posted 09 December 2014 - 11:27 PM

Oh, my mistake.

Edited by Kwen, 09 December 2014 - 11:27 PM.

                           https://www.twitch.tv/vileartist - Yes shameless self-promotion

          ----------------------------------------------------------------------------------------------------------------------

                            "Old modders never die, they just fade away" ~ Hostile


#11 ICT

ICT

    -

  • Veterans
  • 3,072 posts
  •  -- MOC --
  • Division:BFME
  • Job:Online Admin

Posted 10 December 2014 - 12:16 AM

Still, screenshots would be nice of the installation directory and ingame, because I'm still not quite sure what the exact problem is.


"To know what question we may reasonably propose is in itself a strong evidence of sagacity or intelligence. For if a question be in itself incongruous and begs for uncalled-for answers, it holds, sometimes, besides embarrassing the proposer, the disadvantage to seduce the unguarded listener into giving absurd answers, and we are presented with the ridiculous spectacle of one (as the ancients said) milking the he-goat, and the other holding a sieve beneath."


#12 Kryddan

Kryddan
  • Members
  • 14 posts

Posted 10 December 2014 - 06:53 AM

i can try to get some screenshots when i come home but what should i screenshot?

#13 Kryddan

Kryddan
  • Members
  • 14 posts

Posted 10 December 2014 - 02:45 PM

http://gyazo.com/644...1af92c199d9c8e9

http://gyazo.com/4ed...a0480f39888fa41

http://gyazo.com/9a5...c1062d71c5c25d1

http://gyazo.com/4fd...1c1d4a4d82cce94

http://gyazo.com/f72...51e33b178da5123

 

 

Here is some screenshots i took though i dont know if they are enough



#14 MattTheLegoman

MattTheLegoman

    LEGO Knight of Minas Ithil

  • T3A Staff
  • 3,631 posts
  • Location:Tomorrow, when the War began
  • Projects:Mapping this Middle-earth
  •  Mapper
  • Division:BFME
  • Job:T3A Staff

Posted 10 December 2014 - 03:14 PM

Please take a screenshot of the program folder (also known as the installation directory). This can be found here if you are using Windows 7-8.

C:\Program Files (x86)\Electronic Arts\The Battle for Middle-earth (tm) II

This may have something to do with a modified game.dat or game2.dat (which are found in the program folder).


Remember that all worlds draw to an end and that noble death is a treasure which no one is too poor to buy. - C.S. Lewis

There will come a time when you believe everything is finished. That will be the beginning. - Louis L'Amour

What will matter then will be people. If relationships will matter most then, shouldn't they matter most now? - Max Lucado


#15 Kryddan

Kryddan
  • Members
  • 14 posts

Posted 10 December 2014 - 03:24 PM

http://gyazo.com/116...6787e555b1e32ec

http://gyazo.com/23f...b0b9b5e312b0b53

 

 

Here is the install directory



#16 Kryddan

Kryddan
  • Members
  • 14 posts

Posted 11 December 2014 - 07:21 PM

So anyone knows how to fix it?



#17 ICT

ICT

    -

  • Veterans
  • 3,072 posts
  •  -- MOC --
  • Division:BFME
  • Job:Online Admin

Posted 12 December 2014 - 01:56 AM

Yes, you have to install the official patches that are missing on your system. I can see that from the directory.

 

Did you try to install 1.06 with the installer http://lordofthering...h_English;70601 ?


"To know what question we may reasonably propose is in itself a strong evidence of sagacity or intelligence. For if a question be in itself incongruous and begs for uncalled-for answers, it holds, sometimes, besides embarrassing the proposer, the disadvantage to seduce the unguarded listener into giving absurd answers, and we are presented with the ridiculous spectacle of one (as the ancients said) milking the he-goat, and the other holding a sieve beneath."


#18 Kryddan

Kryddan
  • Members
  • 14 posts

Posted 12 December 2014 - 09:04 PM

No i haven't installed patch 1.06 from that site.

 

So i'm supposed to install all the other patches or what?



#19 Plokite_Wolf

Plokite_Wolf

    File hoarder

  • Members
  • 2,294 posts
  • Location:Split, Croatia
  •  Parce mihi, Domine, quia Dalmata sum.

Posted 12 December 2014 - 09:19 PM

Patch 1.06 should be the same on all sites that hold it :p

 

1.06 is an obligation on T3A:Online. It holds all the changes from 1.01 to 1.05 as well, so you don't need the others.


Edited by Plokite_Wolf, 12 December 2014 - 09:19 PM.

Administrator of CNCNZ.com and EVA Database, the C&C Wiki

You are also welcome to make use of my archives of official files:

C&C File Archive | BFME File Archive | Dune File Archive


#20 Kryddan

Kryddan
  • Members
  • 14 posts

Posted 12 December 2014 - 11:29 PM

The problem is that i don't have forshires edition instead i have the cracked edition there i needed a patch that is 1.06 aswell as it fix so you can play the game but it looks like it won't work with online and if i change patch i can't even open up the game so i dont know what to do?

 

can i fix it in anykind of way or do i need to fix forshires edition?






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users